package com.osgi.bundle;

import org.osgi.service.event.Event;
import org.osgi.service.event.EventHandler;

public class ExchangeSubscriber implements EventHandler 
{
	@Override
	public void handleEvent(Event event)
	{
//		System.out.println("\t-------------------------------------------------------------------");
		System.out.println("\t! ExchangeSubscriber : received event on topic = " + event.getTopic());
		for (String propertyName : event.getPropertyNames())
			System.out.println("\t!\t" + propertyName + " = " + event.getProperty(propertyName));
		System.out.println("\t-------------------------------------------------------------------");
	}
}
