package com.osgi.bundle;

import java.util.Dictionary;
import java.util.Hashtable;

import org.osgi.service.event.Event;
import org.osgi.service.event.EventAdmin;

public class EventPublisher 
{
	private final EventAdmin admin;
	private final String EVENT_TOPIC = "service/event/Currency";
	private final String TEMPLATE    = "bundle-publisher : \n"
			                         + "    send event '%s',"
			                         + " currency = %s"; 
    //--------------------------------------------------------------------------------------
	public EventPublisher(EventAdmin admin)
	{
		this.admin = admin;
	}
    //--------------------------------------------------------------------------------------
	public void sendCurrencyEvent(String currency)
	{
		Dictionary<String, Object> dict = new Hashtable<String, Object>();
		dict.put("currency" , currency);
		Event event = new Event(EVENT_TOPIC, dict);
        System.out.println(String.format(TEMPLATE, EVENT_TOPIC, currency)); 
		admin.postEvent(event);
//		admin.sendEvent(event);
	}
    //--------------------------------------------------------------------------------------
}
